export default WFSDescribeFeatureType;
export type parserStructure = {
    [x: string]: import("ol/xml").Parser;
};
/**
 * typedef {Object<string, parserStructure>} parsersStructure
 */
export type parsersStructure = {
    [x: string]: {
        [x: string]: import("ol/xml").Parser;
    };
};
/**
 * Format for reading WFS DescribeFeatureType data.
 *
 * @private
 * @hidden
 */
declare class WFSDescribeFeatureType extends olFormatXML {
    /**
     * @param {Document} doc Document.
     * @returns {Object} Object
     */
    readFromDocument(doc: Document): Object;
    /**
     * @param {Element} node Node.
     * @returns {Object} Object
     */
    readFromNode(node: Element): Object;
}
import olFormatXML from 'ol/format/XML';
